<div class="mat-elevation-z4">
  <table mat-table [dataSource]="usuarios" >
    <!-- Id Column -->
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef >Id</th>
      <td mat-cell *matCellDef="let row">{{row.idUsuario}}</td>
    </ng-container>

    <!-- Nome Column -->
    <ng-container matColumnDef="nome">
      <th mat-header-cell *matHeaderCellDef >Nome</th>
      <td mat-cell *matCellDef="let row">{{row.nome}}</td>
    </ng-container>

    <!-- Cpf Column -->
    <ng-container matColumnDef="cpf">
      <th mat-header-cell *matHeaderCellDef >CPF</th>
      <td mat-cell *matCellDef="let row">{{row.cpf}}</td>
    </ng-container>

    <!-- Email Column -->
    <ng-container matColumnDef="email">
      <th mat-header-cell *matHeaderCellDef >Email</th>
      <td mat-cell *matCellDef="let row">{{row.email}}</td>
    </ng-container>

    <!-- Whatsapp Column -->
    <ng-container matColumnDef="whatsapp">
      <th mat-header-cell *matHeaderCellDef >Whatsapp</th>
      <td mat-cell *matCellDef="let row">{{row.whatsapp}}</td>
    </ng-container>

    <!-- Whatsapp Column -->
    <ng-container matColumnDef="acoes">
      <th mat-header-cell *matHeaderCellDef >Ações</th>
      <td mat-cell *matCellDef="let row">
        <a routerLink="/usuarios/atualizar/{{ row.idUsuario }}" class="edit">
          <i class="material-icons ">
            edit
          </i>
        </a>
        <a routerLink="/usuarios/deletar/{{ row.idUsuario }}" class="delete">
          <i class="material-icons ">
            delete
          </i>
        </a>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
</div>
